scala.tools.nsc.javac.JavaScanners

# JavaUnitScanner

###
Related Doc: package JavaScanners

#### class JavaUnitScanner extends JavaScanner

Source
  JavaScanners.scala

Linear Supertypes
JavaScanner, JavaScanners.ScannerCommon, JavaScanners.CommonTokenData, Cloneable, java.lang.Cloneable, JavaTokenData, AbstractJavaScanner, AbstractJavaTokenData, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavaUnitScanner
2. JavaScanner
3. ScannerCommon
4. CommonTokenData
5. Cloneable
6. Cloneable
7. JavaTokenData
8. AbstractJavaScanner
9. AbstractJavaTokenData
10. AnyRef
11. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new JavaUnitScanner(unit: Global.CompilationUnit)

### Type Members

1. #### type ScanPosition = Int

   Definition Classes
     JavaTokenData → AbstractJavaTokenData

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from JavaUnitScanner to any2stringadd[JavaUnitScanner] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (JavaUnitScanner, B)

   Implicit information
     This member is added by an implicit conversion from JavaUnitScanner to ArrowAssoc[JavaUnitScanner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### val NoPos: Int

   Definition Classes
     JavaTokenData → AbstractJavaTokenData

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

8. #### var base: Int

   the base of a number

   the base of a number

   Definition Classes
     JavaTokenData

9. #### val cbuf: collection.mutable.StringBuilder

   character buffer for literals

   character buffer for literals

   Definition Classes
     JavaScanner

10. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate() @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

11. #### def copyFrom(td: JavaTokenData): Unit

    Definition Classes
      JavaTokenData

12. #### def currentPos: Global.Position

    Definition Classes
      JavaScanner → AbstractJavaScanner

13. #### def deprecationWarning(pos: Int, msg: String): Unit

    Definition Classes
      JavaUnitScanner → ScannerCommon

14. #### def ensuring(cond: (JavaUnitScanner) ⇒ Boolean, msg: ⇒ Any): JavaUnitScanner

    Implicit information
      This member is added by an implicit conversion from JavaUnitScanner to Ensuring[JavaUnitScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (JavaUnitScanner) ⇒ Boolean): JavaUnitScanner

    Implicit information
      This member is added by an implicit conversion from JavaUnitScanner to Ensuring[JavaUnitScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): JavaUnitScanner

    Implicit information
      This member is added by an implicit conversion from JavaUnitScanner to Ensuring[JavaUnitScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): JavaUnitScanner

    Implicit information
      This member is added by an implicit conversion from JavaUnitScanner to Ensuring[JavaUnitScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

20. #### def error(pos: Int, msg: String): Unit

    Definition Classes
      JavaUnitScanner → ScannerCommon

21. #### def floatVal(negated: Boolean): Double

    convert name, base to double value

    convert name, base to double value

    Definition Classes
      JavaScanner → AbstractJavaScanner

22. #### def floatVal: Double

    Definition Classes
      JavaScanner → AbstractJavaScanner

23. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from JavaUnitScanner to StringFormat[JavaUnitScanner] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### implicit def g2p(pos: Int): Global.Position

    Definition Classes
      JavaUnitScanner → AbstractJavaScanner

25. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

26. #### def getFraction(): Unit

    read fractional part and exponent of floating point number if one is present.

    read fractional part and exponent of floating point number if one is present.

    Attributes
      protected
    Definition Classes
      JavaScanner

27. #### def getNumber(): Unit

    read a number into name and set base

    read a number into name and set base

    Attributes
      protected
    Definition Classes
      JavaScanner

28. #### def getlitch(): AnyVal

    read next character in character or string literal:

    read next character in character or string literal:

    Attributes
      protected
    Definition Classes
      JavaScanner

29. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()

30. #### var in: JavaCharArrayReader

    Definition Classes
      JavaScanner

31. #### def incompleteInputError(pos: Int, msg: String): Unit

    Definition Classes
      JavaUnitScanner → ScannerCommon

32. #### def incompleteInputError(msg: String): Unit

    signal an error where the input ended in the middle of a token

    signal an error where the input ended in the middle of a token

    Definition Classes
      JavaScanner

33. #### def init(): Unit

    INIT: read lookahead character and token.

    INIT: read lookahead character and token.

    Definition Classes
      JavaScanner

34. #### def intVal(negated: Boolean): Long

    convert name to long value

    convert name to long value

    Definition Classes
      JavaScanner → AbstractJavaScanner

35. #### def intVal: Long

    Definition Classes
      JavaScanner → AbstractJavaScanner

36. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

37. #### var lastPos: Int

    the first character position after the previous token

    the first character position after the previous token

    Definition Classes
      JavaTokenData

38. #### def lookaheadToken: Int

    Definition Classes
      JavaScanner

39. #### var name: Global.TermName

    the name of an identifier or token

    the name of an identifier or token

    Definition Classes
      JavaTokenData → AbstractJavaTokenData

40. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

41. #### val next: JavaTokenData

    we need one token lookahead

    we need one token lookahead

    Definition Classes
      JavaScanner → AbstractJavaScanner

42. #### def nextToken(): Unit

    Definition Classes
      JavaScanner → AbstractJavaScanner

43. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

44. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

45. #### var pos: Int

    the token's position

    the token's position

    Definition Classes
      JavaTokenData → AbstractJavaTokenData

46. #### val prev: JavaTokenData

    Definition Classes
      JavaScanner

47. #### def putChar(c: Char): Unit

    append Unicode character to "lit" buffer

    append Unicode character to "lit" buffer

    Attributes
      protected
    Definition Classes
      JavaScanner

48. #### def skipComment(): Boolean

    Attributes
      protected
    Definition Classes
      JavaScanner

49. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

50. #### def syntaxError(msg: String): Unit

    generate an error at the current token position

    generate an error at the current token position

    Definition Classes
      JavaScanner

51. #### def syntaxError(pos: Int, msg: String): Unit

    generate an error at the given position

    generate an error at the given position

    Definition Classes
      JavaScanner

52. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      JavaScanner → AnyRef → Any

53. #### var token: Int

    the next token

    the next token

    Definition Classes
      JavaTokenData → AbstractJavaTokenData

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### def →[B](y: B): (JavaUnitScanner, B)

    Implicit information
      This member is added by an implicit conversion from JavaUnitScanner to ArrowAssoc[JavaUnitScanner] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from JavaScanner

### Inherited from JavaScanners.ScannerCommon

### Inherited from JavaScanners.CommonTokenData

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from JavaTokenData

### Inherited from AbstractJavaScanner

### Inherited from AbstractJavaTokenData

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JavaUnitScanner to any2stringadd[JavaUnitScanner]

### Inherited by implicit conversion StringFormat from JavaUnitScanner to StringFormat[JavaUnitScanner]

### Inherited by implicit conversion Ensuring from JavaUnitScanner to Ensuring[JavaUnitScanner]

### Inherited by implicit conversion ArrowAssoc from JavaUnitScanner to ArrowAssoc[JavaUnitScanner]

### Ungrouped